Skip to Content
Daylite API
Filters

Get a saved filter

GET
/v1/filters/{id}

Authorization

ApiKey
headerAuthorizationBearer <dl_…>

Personal API key created in Daylite under Settings → Developer.

Path Parameters

id*string
Formatuuid

Response Body

The saved filter.

application/json
  1. response
id*string
Formatuuid
name*string
query*string

Case-insensitive text matched against task titles.

project_id*|
Formatuuid
minimum_priority*|

Lowest priority included. null for any.

Value in"p1""p2""p3"null
dated_only*boolean

Only tasks that have a due date.

revision*integer

Server revision of this version. It increases with every change to the object.

Example Request
curl -X GET 'https://api.daylite.me/v1/filters/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "query": "string",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "minimum_priority": "p1",  "dated_only": true,  "revision": 0}